<?php
/*
Plugin Name: NBC News
Version: 1.1.h
Description: Permet de gerer l'afficher des news sur la 1ere page
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=202
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org/
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_NEWS_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

global $conf, $im_priority;



if (isset($conf['IndexManager']))
{
	include_once( PHPWG_PLUGINS_PATH . 'IndexManager/index_manager.php' );
	check_indexmanager('NewsOnIndex');
}



add_event_handler('get_admin_plugin_menu_links', 'nbc_News_admin_menu');

function nbc_News_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'News',
      'URL'  => get_admin_plugin_menu_link(NBC_NEWS_PATH.'admin/news_admin.php')
    )
  );
  
  return $menu;
}



//add_event_handler('loc_end_index' , 'nbc_NewsOnIndex', isset($im_priority) ? $im_priority['NewsOnIndex'] : 40);

function nbc_NewsOnIndex()
{
  global $page, $prefixeTable, $template;

  if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])))
  {
    include_once(NBC_NEWS_PATH.'NewsOnIndex.php');
  }
}



add_event_handler('loc_end_page_header', 'nbc_NewsAddCSS' );

function nbc_NewsAddCSS()
{
  global $template, $user;
  
  $template -> assign_block_vars(
    'head_element', array (
      'CONTENT' => '<link rel="stylesheet" type="text/css" href="'.NBC_NEWS_PATH.'template/news.css">
                    <link rel="stylesheet" type="text/css" href="'.NBC_NEWS_PATH.'template/'.$user['template'].'/theme/'.$user['theme'].'/news.css">',
    )
  );
}

?>
